com.ihr.xbrl.om

## Class XBRL

- java.lang.Object
- - com.ihr.xbrl.om.XBRL

-     public final class XBRL
      extends java.lang.Object

  This class is a container for static content related to XBRL
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.HashSet<java.lang.String>` | `iso4217_codes` The Constant iso4217_codes.
    `static java.lang.String` | `RS_XFI_RelationshipTypeNS` The Constant RS_XFI_RelationshipTypeNS.
    `static java.lang.String` | `RS_XFI_RelationshipTypeURL` The Constant RS_XFI_RelationshipTypeURL.
    `static java.lang.String` | `XBRL_aspect_coverNS` http://xbrl.org/2010/filter/aspect-cover
    `static java.lang.String` | `XBRL_aspect_coverURL` The Constant XBRL_aspect_coverURL.
    `static java.lang.String` | `XBRL_boolean_filterNS` http://xbrl.org/2008/filter/boolean
    `static java.lang.String` | `XBRL_boolean_filterURL` The Constant XBRL_boolean_filterURL.
    `static java.lang.String` | `XBRL_concept_filterNS` http://xbrl.org/2008/filter/concept
    `static java.lang.String` | `XBRL_concept_filterURL` The Constant XBRL_concept_filterURL.
    `static java.lang.String` | `XBRL_concept_relationNS` http://xbrl.org/2010/filter/concept-relation
    `static java.lang.String` | `XBRL_concept_relationURL` The Constant XBRL_concept_relationURL.
    `static java.lang.String` | `XBRL_consistency_assertionNS` http://xbrl.org/2008/assertion/consistency
    `static java.lang.String` | `XBRL_consistency_assertionURL` The Constant XBRL_consistency_assertionURL.
    `static java.lang.String` | `XBRL_dimension_filterNS` http://xbrl.org/2008/filter/dimension
    `static java.lang.String` | `XBRL_dimension_filterURL` The Constant XBRL_dimension_filterURL.
    `static java.lang.String` | `XBRL_dimension_i_NS` http://xbrl.org/2006/xbrldi
    `static java.lang.String` | `XBRL_dimension_i_URL` The Constant XBRL_dimension_i_URL.
    `static java.lang.String` | `XBRL_dimension_t_NS` http://xbrl.org/2005/xbrldt
    `static java.lang.String` | `XBRL_dimension_t_URL` The Constant XBRL_dimension_t_URL.
    `static java.lang.String` | `XBRL_entity_filterNS` http://xbrl.org/2008/filter/entity
    `static java.lang.String` | `XBRL_entity_filterURL` The Constant XBRL_entity_filterURL.
    `static java.lang.String` | `XBRL_existence_assertionNS` http://xbrl.org/2008/assertion/existence
    `static java.lang.String` | `XBRL_existence_assertionURL` The Constant XBRL_existence_assertionURL.
    `static java.lang.String` | `XBRL_extensibleEnumerations1_0URL` The Constant XBRL_extensibleEnumerations1_0URL.
    `static java.lang.String` | `XBRL_formulaNS` http://xbrl.org/2008/formula
    `static java.lang.String` | `XBRL_formulaRSNS` http://xbrl.org/2007/formula
    `static java.lang.String` | `XBRL_formulaRSURL` The Constant XBRL_formulaRSURL.
    `static java.lang.String` | `XBRL_formulaURL` The Constant XBRL_formulaURL.
    `static java.lang.String` | `XBRL_general_filterNS` http://xbrl.org/2008/filter/general
    `static java.lang.String` | `XBRL_general_filterURL` The Constant XBRL_general_filterURL.
    `static java.lang.String` | `XBRL_generic_label_roles_expressionsNS` http://xbrl.org/2008/label-roles-expression
    `static java.lang.String` | `XBRL_generic_label_roles_expressionsURL` The Constant XBRL_generic_label_roles_expressionsURL.
    `static java.lang.String` | `XBRL_generic_labelNS` http://xbrl.org/2008/label
    `static java.lang.String` | `XBRL_generic_labelURL` http://www.xbrl.org/2008/generic-label.xsd
    `static java.lang.String` | `XBRL_generic_linkbaseNS` http://xbrl.org/2008/generic
    `static java.lang.String` | `XBRL_generic_linkbaseURL` http://www.xbrl.org/2008/generic-link.xsd
    `static java.lang.String` | `XBRL_generic_messageNS` http://xbrl.org/2010/message
    `static java.lang.String` | `XBRL_generic_messageURL` The Constant XBRL_generic_messageURL.
    `static java.lang.String` | `XBRL_generic_referenceNS` http://xbrl.org/2008/reference
    `static java.lang.String` | `XBRL_generic_referenceURL` The Constant XBRL_generic_referenceURL.
    `static java.lang.String` | `XBRL_inlineNS` http://www.xbrl.org/2008/inlineXBRL
    `static java.lang.String` | `XBRL_instanceNS` http://www.xbrl.org/2003/instance
    `static java.lang.String` | `XBRL_instanceURL` The Constant XBRL_instanceURL.
    `static java.lang.String` | `XBRL_iso4217NS` http://www.xbrl.org/2003/iso4217
    `static java.lang.String` | `XBRL_iso4217URL` The Constant XBRL_iso4217URL.
    `static java.lang.String` | `XBRL_linkbaseNS` http://www.xbrl.org/2003/linkbase
    `static java.lang.String` | `XBRL_linkbaseURL` The Constant XBRL_linkbaseURL.
    `static java.lang.String` | `XBRL_match_filterNS` http://xbrl.org/2008/filter/match
    `static java.lang.String` | `XBRL_match_filterURL` The Constant XBRL_match_filterURL.
    `static java.lang.String` | `XBRL_period_filterNS` http://xbrl.org/2008/filter/period
    `static java.lang.String` | `XBRL_period_filterURL` The Constant XBRL_period_filterURL.
    `static java.lang.String` | `XBRL_ref_2004_08_10` The Constant XBRL_ref_2004_08_10.
    `static java.lang.String` | `XBRL_ref_2004_08_10_NS` http://www.xbrl.org/2004/ref
    `static java.lang.String` | `XBRL_ref_2006_02_27` The Constant XBRL_ref_2006_02_27.
    `static java.lang.String` | `XBRL_ref_2006_02_27_NS` http://www.xbrl.org/2006/ref
    `static java.lang.String` | `XBRL_relative_filterNS` http://xbrl.org/2008/filter/relative
    `static java.lang.String` | `XBRL_relative_filterURL` The Constant XBRL_relative_filterURL.
    `static java.lang.String` | `XBRL_segment_scenario_filterNS` http://xbrl.org/2008/filter/segment-scenario
    `static java.lang.String` | `XBRL_segment_scenario_filterURL` The Constant XBRL_segment_scenario_filterURL.
    `static java.lang.String` | `XBRL_tableModelNS` The Constant http://xbrl.org/2014/table/model
    `static java.lang.String` | `XBRL_tableModelURL` The Constant http://www.xbrl.org/2014/tablemodel.xsd
    `static java.lang.String` | `XBRL_tablePWD_2013_05_17NS` http://xbrl.org/PWD/2013-05-17/table
    `static java.lang.String` | `XBRL_tablePWD_2013_05_17URL` The Constant XBRL_tablePWD_2013_05_17URL.
    `static java.lang.String` | `XBRL_tableREC_2014_03_18NS` The Constant XBRL_tableREC_2014_03_18NS.
    `static java.lang.String` | `XBRL_tableREC_2014_03_18URL` The Constant XBRL_tableREC_2014_03_18URL.
    `static java.lang.String` | `XBRL_tuple_filterNS` http://xbrl.org/2008/filter/tuple
    `static java.lang.String` | `XBRL_tuple_filterURL` The Constant XBRL_tuple_filterURL.
    `static java.lang.String` | `XBRL_unit_filterNS` http://xbrl.org/2008/filter/unit
    `static java.lang.String` | `XBRL_unit_filterURL` The Constant XBRL_unit_filterURL.
    `static java.lang.String` | `XBRL_validation_messageNS` http://xbrl.org/2010/message/validation
    `static java.lang.String` | `XBRL_validation_messageURL` The Constant XBRL_validation_messageURL.
    `static java.lang.String` | `XBRL_validationNS` http://xbrl.org/2008/validation
    `static java.lang.String` | `XBRL_validationURL` The Constant XBRL_validationURL.
    `static java.lang.String` | `XBRL_value_assertionNS` http://xbrl.org/2008/assertion/value
    `static java.lang.String` | `XBRL_value_assertionURL` The Constant XBRL_value_assertionURL.
    `static java.lang.String` | `XBRL_value_filterNS` http://xbrl.org/2008/filter/value
    `static java.lang.String` | `XBRL_value_filterURL` The Constant XBRL_value_filterURL.
    `static java.lang.String` | `XBRL_variableNS` http://xbrl.org/2008/variable
    `static java.lang.String` | `XBRL_variableURL` The Constant XBRL_variableURL.
    `static java.lang.String` | `XBRL_version_2006_NS` http://xbrl.org/2006/versioning
    `static java.lang.String` | `XBRL_versionNS` http://xbrl.org/2008/versioning
    `static java.lang.String` | `XBRL_versionURL` The Constant XBRL_versionURL.
    `static java.lang.String` | `XBRL_xlNS` http://www.xbrl.org/2003/XLink
    `static java.lang.String` | `XBRL_xlURL` The Constant XBRL_xlURL.
    `static java.lang.String` | `XCFI_NS` http://xbrl.org/2010/custom-function
    `static java.lang.String` | `XFF_NS` http://www.xbrl.org/2010/function/formula
    `static java.lang.String` | `XFI_NS` http://www.xbrl.org/2008/function/instance
    `static java.lang.String` | `XLINK_NS` http://www.w3.org/1999/xlink
    `static java.lang.String` | `XLINK_xlinkURL` The Constant XLINK_xlinkURL.
    `static java.lang.String` | `XML_baseNS` http://www.w3.org/XML/1998/namespace
    `static java.lang.String` | `XML_baseURL` The Constant XML_baseURL.
    `static java.lang.String` | `XML_schemaNS` http://www.w3.org/2001/XMLSchema
    `static java.lang.String` | `XML_schemaURL` The Constant XML_schemaURL.
    `static java.lang.String` | `XSI_NS` http://www.w3.org/2001/XMLSchema-instance
    `static java.lang.String` | `xupdateNS` http://www.xmldb.org/xupdate
    `static java.lang.String` | `xupdateURL` The Constant xupdateURL.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRL()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.xml.transform.Source` | `getDocumentSource(java.net.URI uri)` Creates a Source object for the document pointed to by the URI received in the parameter only if the document is in the list of core schemas provided as static content for convenience.
    `static javax.xml.transform.Source` | `getSchemaSource(java.lang.String targetNamespace)` Provides one official schema as a Source to be loaded into saxonica returns null if the schema pointed to by the targetNamespace is not registered.
    `static java.net.URI` | `getStaticURIforNamespace(java.lang.String namespace)` Returns the static Document URI (Official URL) for a schema using its namespace.
    `static void` | `loadAdditionalSchemas(net.sf.saxon.s9api.Processor proc, com.saxonica.schema.SchemaCompiler sc)` Load extra schemas in the configuration object.
    `static void` | `loadInitialSchemas(net.sf.saxon.s9api.Processor proc, com.saxonica.schema.SchemaCompiler sc, java.util.Properties props)` Loads all XBRL related schemas into the XML processor received as a parameter.
    `static void` | `loadSchema(java.lang.String schemaNS, net.sf.saxon.s9api.Processor proc, com.saxonica.schema.SchemaCompiler sc)` The schema indicated in the schemaURL parameter MUST exist on this class.
    `static void` | `main(java.lang.String[] args)` Convenience method in order to provide some information.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XML_baseURL

          public static final java.lang.String XML_baseURL

      The Constant XML_baseURL.

    - #### XML_schemaURL

          public static final java.lang.String XML_schemaURL

      The Constant XML_schemaURL.

    - #### XLINK_xlinkURL

          public static final java.lang.String XLINK_xlinkURL

      The Constant XLINK_xlinkURL.

    - #### XBRL_xlURL

          public static final java.lang.String XBRL_xlURL

      The Constant XBRL_xlURL.

    - #### XBRL_linkbaseURL

          public static final java.lang.String XBRL_linkbaseURL

      The Constant XBRL_linkbaseURL.

    - #### XBRL_instanceURL

          public static final java.lang.String XBRL_instanceURL

      The Constant XBRL_instanceURL.

    - #### XBRL_formulaRSURL

          public static final java.lang.String XBRL_formulaRSURL

      The Constant XBRL_formulaRSURL.

    - #### XBRL_dimension_t_URL

          public static final java.lang.String XBRL_dimension_t_URL

      The Constant XBRL_dimension_t_URL.

    - #### XBRL_dimension_i_URL

          public static final java.lang.String XBRL_dimension_i_URL

      The Constant XBRL_dimension_i_URL.

    - #### XBRL_ref_2004_08_10

          public static final java.lang.String XBRL_ref_2004_08_10

      The Constant XBRL_ref_2004_08_10.

    - #### XBRL_ref_2006_02_27

          public static final java.lang.String XBRL_ref_2006_02_27

      The Constant XBRL_ref_2006_02_27.

    - #### XBRL_versionURL

          public static final java.lang.String XBRL_versionURL

      The Constant XBRL_versionURL.

    - #### xupdateURL

          public static final java.lang.String xupdateURL

      The Constant xupdateURL.

    - #### XBRL_iso4217URL

          public static final java.lang.String XBRL_iso4217URL

      The Constant XBRL_iso4217URL.

    - #### XBRL_instanceNS

          public static final java.lang.String XBRL_instanceNS

      http://www.xbrl.org/2003/instance

    - #### XML_schemaNS

          public static final java.lang.String XML_schemaNS

      http://www.w3.org/2001/XMLSchema

    - #### XBRL_formulaRSNS

          public static final java.lang.String XBRL_formulaRSNS

      http://xbrl.org/2007/formula

    - #### XBRL_dimension_t_NS

          public static final java.lang.String XBRL_dimension_t_NS

      http://xbrl.org/2005/xbrldt

    - #### XBRL_dimension_i_NS

          public static final java.lang.String XBRL_dimension_i_NS

      http://xbrl.org/2006/xbrldi

    - #### XML_baseNS

          public static final java.lang.String XML_baseNS

      http://www.w3.org/XML/1998/namespace

    - #### XLINK_NS

          public static final java.lang.String XLINK_NS

      http://www.w3.org/1999/xlink

    - #### XBRL_xlNS

          public static final java.lang.String XBRL_xlNS

      http://www.xbrl.org/2003/XLink

    - #### XBRL_linkbaseNS

          public static final java.lang.String XBRL_linkbaseNS

      http://www.xbrl.org/2003/linkbase

    - #### XBRL_ref_2004_08_10_NS

          public static final java.lang.String XBRL_ref_2004_08_10_NS

      http://www.xbrl.org/2004/ref

    - #### XBRL_ref_2006_02_27_NS

          public static final java.lang.String XBRL_ref_2006_02_27_NS

      http://www.xbrl.org/2006/ref

    - #### XBRL_version_2006_NS

          public static final java.lang.String XBRL_version_2006_NS

      http://xbrl.org/2006/versioning

    - #### XBRL_versionNS

          public static final java.lang.String XBRL_versionNS

      http://xbrl.org/2008/versioning

    - #### xupdateNS

          public static final java.lang.String xupdateNS

      http://www.xmldb.org/xupdate

    - #### XBRL_generic_linkbaseNS

          public static final java.lang.String XBRL_generic_linkbaseNS

      http://xbrl.org/2008/generic

    - #### XBRL_generic_linkbaseURL

          public static final java.lang.String XBRL_generic_linkbaseURL

      http://www.xbrl.org/2008/generic-link.xsd

    - #### XBRL_generic_labelNS

          public static final java.lang.String XBRL_generic_labelNS

      http://xbrl.org/2008/label

    - #### XBRL_generic_labelURL

          public static final java.lang.String XBRL_generic_labelURL

      http://www.xbrl.org/2008/generic-label.xsd

    - #### XBRL_iso4217NS

          public static final java.lang.String XBRL_iso4217NS

      http://www.xbrl.org/2003/iso4217

    - #### XSI_NS

          public static final java.lang.String XSI_NS

      http://www.w3.org/2001/XMLSchema-instance

    - #### XBRL_inlineNS

          public static final java.lang.String XBRL_inlineNS

      http://www.xbrl.org/2008/inlineXBRL

    - #### XBRL_boolean_filterNS

          public static final java.lang.String XBRL_boolean_filterNS

      http://xbrl.org/2008/filter/boolean

    - #### XBRL_boolean_filterURL

          public static final java.lang.String XBRL_boolean_filterURL

      The Constant XBRL_boolean_filterURL.

    - #### XBRL_concept_filterNS

          public static final java.lang.String XBRL_concept_filterNS

      http://xbrl.org/2008/filter/concept

    - #### XBRL_concept_filterURL

          public static final java.lang.String XBRL_concept_filterURL

      The Constant XBRL_concept_filterURL.

    - #### XBRL_consistency_assertionNS

          public static final java.lang.String XBRL_consistency_assertionNS

      http://xbrl.org/2008/assertion/consistency

    - #### XBRL_consistency_assertionURL

          public static final java.lang.String XBRL_consistency_assertionURL

      The Constant XBRL_consistency_assertionURL.

    - #### XBRL_dimension_filterNS

          public static final java.lang.String XBRL_dimension_filterNS

      http://xbrl.org/2008/filter/dimension

    - #### XBRL_dimension_filterURL

          public static final java.lang.String XBRL_dimension_filterURL

      The Constant XBRL_dimension_filterURL.

    - #### XBRL_entity_filterNS

          public static final java.lang.String XBRL_entity_filterNS

      http://xbrl.org/2008/filter/entity

    - #### XBRL_entity_filterURL

          public static final java.lang.String XBRL_entity_filterURL

      The Constant XBRL_entity_filterURL.

    - #### XBRL_existence_assertionNS

          public static final java.lang.String XBRL_existence_assertionNS

      http://xbrl.org/2008/assertion/existence

    - #### XBRL_existence_assertionURL

          public static final java.lang.String XBRL_existence_assertionURL

      The Constant XBRL_existence_assertionURL.

    - #### XBRL_formulaNS

          public static final java.lang.String XBRL_formulaNS

      http://xbrl.org/2008/formula

    - #### XBRL_formulaURL

          public static final java.lang.String XBRL_formulaURL

      The Constant XBRL_formulaURL.

    - #### XBRL_general_filterNS

          public static final java.lang.String XBRL_general_filterNS

      http://xbrl.org/2008/filter/general

    - #### XBRL_general_filterURL

          public static final java.lang.String XBRL_general_filterURL

      The Constant XBRL_general_filterURL.

    - #### XBRL_generic_referenceNS

          public static final java.lang.String XBRL_generic_referenceNS

      http://xbrl.org/2008/reference

    - #### XBRL_generic_referenceURL

          public static final java.lang.String XBRL_generic_referenceURL

      The Constant XBRL_generic_referenceURL.

    - #### XBRL_match_filterNS

          public static final java.lang.String XBRL_match_filterNS

      http://xbrl.org/2008/filter/match

    - #### XBRL_match_filterURL

          public static final java.lang.String XBRL_match_filterURL

      The Constant XBRL_match_filterURL.

    - #### XBRL_period_filterNS

          public static final java.lang.String XBRL_period_filterNS

      http://xbrl.org/2008/filter/period

    - #### XBRL_period_filterURL

          public static final java.lang.String XBRL_period_filterURL

      The Constant XBRL_period_filterURL.

    - #### XBRL_relative_filterNS

          public static final java.lang.String XBRL_relative_filterNS

      http://xbrl.org/2008/filter/relative

    - #### XBRL_relative_filterURL

          public static final java.lang.String XBRL_relative_filterURL

      The Constant XBRL_relative_filterURL.

    - #### XBRL_segment_scenario_filterNS

          public static final java.lang.String XBRL_segment_scenario_filterNS

      http://xbrl.org/2008/filter/segment-scenario

    - #### XBRL_segment_scenario_filterURL

          public static final java.lang.String XBRL_segment_scenario_filterURL

      The Constant XBRL_segment_scenario_filterURL.

    - #### XBRL_tuple_filterNS

          public static final java.lang.String XBRL_tuple_filterNS

      http://xbrl.org/2008/filter/tuple

    - #### XBRL_tuple_filterURL

          public static final java.lang.String XBRL_tuple_filterURL

      The Constant XBRL_tuple_filterURL.

    - #### XBRL_unit_filterNS

          public static final java.lang.String XBRL_unit_filterNS

      http://xbrl.org/2008/filter/unit

    - #### XBRL_unit_filterURL

          public static final java.lang.String XBRL_unit_filterURL

      The Constant XBRL_unit_filterURL.

    - #### XBRL_validationNS

          public static final java.lang.String XBRL_validationNS

      http://xbrl.org/2008/validation

    - #### XBRL_validationURL

          public static final java.lang.String XBRL_validationURL

      The Constant XBRL_validationURL.

    - #### XBRL_value_assertionNS

          public static final java.lang.String XBRL_value_assertionNS

      http://xbrl.org/2008/assertion/value

    - #### XBRL_value_assertionURL

          public static final java.lang.String XBRL_value_assertionURL

      The Constant XBRL_value_assertionURL.

    - #### XBRL_value_filterNS

          public static final java.lang.String XBRL_value_filterNS

      http://xbrl.org/2008/filter/value

    - #### XBRL_value_filterURL

          public static final java.lang.String XBRL_value_filterURL

      The Constant XBRL_value_filterURL.

    - #### XBRL_variableNS

          public static final java.lang.String XBRL_variableNS

      http://xbrl.org/2008/variable

    - #### XBRL_variableURL

          public static final java.lang.String XBRL_variableURL

      The Constant XBRL_variableURL.

    - #### XBRL_generic_messageNS

          public static final java.lang.String XBRL_generic_messageNS

      http://xbrl.org/2010/message

    - #### XBRL_generic_messageURL

          public static final java.lang.String XBRL_generic_messageURL

      The Constant XBRL_generic_messageURL.

    - #### XBRL_aspect_coverNS

          public static final java.lang.String XBRL_aspect_coverNS

      http://xbrl.org/2010/filter/aspect-cover

    - #### XBRL_aspect_coverURL

          public static final java.lang.String XBRL_aspect_coverURL

      The Constant XBRL_aspect_coverURL.

    - #### XBRL_validation_messageNS

          public static final java.lang.String XBRL_validation_messageNS

      http://xbrl.org/2010/message/validation

    - #### XBRL_validation_messageURL

          public static final java.lang.String XBRL_validation_messageURL

      The Constant XBRL_validation_messageURL.

    - #### XFI_NS

          public static final java.lang.String XFI_NS

      http://www.xbrl.org/2008/function/instance

    - #### XFF_NS

          public static final java.lang.String XFF_NS

      http://www.xbrl.org/2010/function/formula

    - #### XCFI_NS

          public static final java.lang.String XCFI_NS

      http://xbrl.org/2010/custom-function

    - #### XBRL_generic_label_roles_expressionsNS

          public static final java.lang.String XBRL_generic_label_roles_expressionsNS

      http://xbrl.org/2008/label-roles-expression

    - #### XBRL_generic_label_roles_expressionsURL

          public static final java.lang.String XBRL_generic_label_roles_expressionsURL

      The Constant XBRL_generic_label_roles_expressionsURL.

    - #### RS_XFI_RelationshipTypeNS

          public static final java.lang.String RS_XFI_RelationshipTypeNS

      The Constant RS_XFI_RelationshipTypeNS.

    - #### RS_XFI_RelationshipTypeURL

          public static final java.lang.String RS_XFI_RelationshipTypeURL

      The Constant RS_XFI_RelationshipTypeURL.

    - #### XBRL_concept_relationNS

          public static final java.lang.String XBRL_concept_relationNS

      http://xbrl.org/2010/filter/concept-relation

    - #### XBRL_concept_relationURL

          public static final java.lang.String XBRL_concept_relationURL

      The Constant XBRL_concept_relationURL.

    - #### XBRL_tablePWD_2013_05_17NS

          public static final java.lang.String XBRL_tablePWD_2013_05_17NS

      http://xbrl.org/PWD/2013-05-17/table
      See Also:
        Constant Field Values

    - #### XBRL_tablePWD_2013_05_17URL

          public static final java.lang.String XBRL_tablePWD_2013_05_17URL

      The Constant XBRL_tablePWD_2013_05_17URL.
      See Also:
        Constant Field Values

    - #### XBRL_tableREC_2014_03_18NS

          public static final java.lang.String XBRL_tableREC_2014_03_18NS

      The Constant XBRL_tableREC_2014_03_18NS.
      See Also:
        Constant Field Values

    - #### XBRL_tableREC_2014_03_18URL

          public static final java.lang.String XBRL_tableREC_2014_03_18URL

      The Constant XBRL_tableREC_2014_03_18URL.
      See Also:
        Constant Field Values

    - #### XBRL_tableModelNS

          public static final java.lang.String XBRL_tableModelNS

      The Constant http://xbrl.org/2014/table/model
      See Also:
        Constant Field Values

    - #### XBRL_tableModelURL

          public static final java.lang.String XBRL_tableModelURL

      The Constant http://www.xbrl.org/2014/tablemodel.xsd
      See Also:
        Constant Field Values

    - #### XBRL_extensibleEnumerations1_0URL

          public static final java.lang.String XBRL_extensibleEnumerations1_0URL

      The Constant XBRL_extensibleEnumerations1_0URL.
      See Also:
        Constant Field Values

    - #### iso4217_codes

          public static final java.util.HashSet<java.lang.String> iso4217_codes

      The Constant iso4217_codes.

  - ### Constructor Detail

    - #### XBRL

          public XBRL()

  - ### Method Detail

    - #### loadInitialSchemas

          public static void loadInitialSchemas(net.sf.saxon.s9api.Processor proc,
                                com.saxonica.schema.SchemaCompiler sc,
                                java.util.Properties props)
                                         throws XBRLSchemaException

      Loads all XBRL related schemas into the XML processor received as a parameter.
      Parameters:
        `proc` - Saxonica Processor
        `sc` - the sc
        `props` - This is the properties for the new DTSContainer. Some properties may define alternate schemas to be loaded for the same namespace. This is handled by configuration
      Throws:
        `XBRLSchemaException` - the XBRL schema exception

    - #### getSchemaSource

          public static javax.xml.transform.Source getSchemaSource(java.lang.String targetNamespace)

      Provides one official schema as a Source to be loaded into saxonica returns null if the schema pointed to by the targetNamespace is not registered.
      Parameters:
        `targetNamespace` - the target namespace
      Returns:
        Source object for the requested file or null

    - #### getDocumentSource

          public static javax.xml.transform.Source getDocumentSource(java.net.URI uri)

      Creates a Source object for the document pointed to by the URI received in the parameter only if the document is in the list of core schemas provided as static content for convenience.
      Parameters:
        `uri` - the URI of the file to obtain a Source from.
      Returns:
        Source

    - #### getStaticURIforNamespace

          public static java.net.URI getStaticURIforNamespace(java.lang.String namespace)

      Returns the static Document URI (Official URL) for a schema using its namespace.
      Parameters:
        `namespace` - the namespace
      Returns:
        URI

    - #### loadAdditionalSchemas

          public static void loadAdditionalSchemas(net.sf.saxon.s9api.Processor proc,
                                   com.saxonica.schema.SchemaCompiler sc)
                                            throws XBRLSchemaException

      Load extra schemas in the configuration object. Extra schemas are schemas not loaded normally and they are only relevant for using the generic linkbase or the formula linkbase.
      Parameters:
        `proc` - Processor where the new schemas will be loaded
        `sc` - SchemaCompiler for the new schemas
      Throws:
        `XBRLSchemaException` - the XBRL schema exception

    - #### loadSchema

          public static void loadSchema(java.lang.String schemaNS,
                        net.sf.saxon.s9api.Processor proc,
                        com.saxonica.schema.SchemaCompiler sc)
                                 throws XBRLSchemaException

      The schema indicated in the schemaURL parameter MUST exist on this class.
      Parameters:
        `schemaNS` - the schema ns
        `proc` - the proc
        `sc` - the sc
      Throws:
        `XBRLSchemaException` - the XBRL schema exception

    - #### main

          public static void main(java.lang.String[] args)

      Convenience method in order to provide some information.

      -version gives information about the installed version of the API -license gives information about the installed license

      Parameters:
        `args` - the arguments